Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 467560 - =app-editors/nvi-1.81.6-r3 fails with automake-1.13 - error: 'AM_CONFIG_HEADER': this macro is obsolete
Summary: =app-editors/nvi-1.81.6-r3 fails with automake-1.13 - error: 'AM_CONFIG_HEADE...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jesus Rivero (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: automake-1.13
  Show dependency tree
 
Reported: 2013-04-27 20:35 UTC by Ian Stakenvicius
Modified: 2013-07-09 22:49 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Stakenvicius gentoo-dev 2013-04-27 20:35:42 UTC
# cat /var/tmp/portage/app-editors/nvi-1.81.6-r3/temp/aclocal.out
***** aclocal *****
***** PWD: /var/tmp/portage/app-editors/nvi-1.81.6-r3/work/nvi-1.81.6/dist
***** aclocal -I m4

aclocal-1.13: warning: autoconf input should be named 'configure.ac', not 'configure.in'
m4/gtk.m4:7: warning: underquoted definition of AM_PATH_GTK
m4/gtk.m4:7:   run info Automake 'Extending aclocal'
m4/gtk.m4:7:   or see http://www.gnu.org/software/automake/manual/automake.html#Extending-aclocal
configure.in:7: error: 'AM_CONFIG_HEADER': this macro is obsolete.
    You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.in:7: the top level
autom4te-2.69: /usr/bin/m4 failed with exit status: 1
aclocal-1.13: error: echo failed with exit status: 1

Please note that although this package is stable and automake-1.13 is ~arch,
this is still a priority fix because ~arch users are immediately affected.
Comment 1 Jesus Rivero (RETIRED) gentoo-dev 2013-07-09 22:49:22 UTC
app-editors/nvi-1.81.6-r4 is in CVS and fixes this issue.